Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.userproperty
Class AbstractUserPropertyMapper

    java.lang.Object
      com.bea.wsrp.consumer.userproperty.AbstractUserPropertyMapper

All Implemented Interfaces
  UserPropertyMapper

Direct Known Subclasses:
  DefaultUserPropertyMapper

    public abstract class AbstractUserPropertyMapper

extends Object
implements UserPropertyMapper

The base mapper class which provides methods to map the folowing:

- Map a property to a constant value - key is `propertySetName.propertyName`. Value is inside of quotes (")
- Map a property to another property - key is `propertySetName.propertyName`. Value is `propertySetName.propertyName`
- Map a property set to another property set - key is `propertySetName.*`. Value is `propertySetName.*`.

It is expected (but not required) that implemetors of mappers will subclass directly or via DefaultUserProperyMapper

See Also
  `DefaultUserPropertyMapper`

Constructor Summary
`AbstractUserPropertyMapper()`

Method Summary
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, boolean value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, Boolean value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, Collection<?> value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, Date value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, double value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, long value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, Number value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, Object value)` Add a user property to the specified collection.
`protected void` | `addUserProperty(Collection<UserProperty> properties, String propertySetName, String propertyName, String value)` Add a user property to the specified collection.
`protected Object` | `getProperty(EntityPropertyCache profile, String propertySetName, String propertyName)` Get the property's value from profile.
`protected boolean` | `isPropertySetMapping(String consumerName, String producerName)` Returns true if this a mapping of a consumer's property set to a producer's property set.
`protected void` | `mapProperty(RequiredUserProperties requiredProperties, EntityPropertyCache profile, Collection<UserProperty> properties, String consumerName, String producerName)` Map a single property set manager from the consumer to the producer.
`protected void` | `mapPropertySet(RequiredUserProperties requiredProperties, EntityPropertyCache profile, Collection<UserProperty> properties, String consumerPropertySetName, String producerPropertySetName)` Map an entire property set manager from the consumer to the producer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.wsrp.consumer.userproperty.UserPropertyMapper
`mapProperties`

Constructor Detail

### AbstractUserPropertyMapper

    public AbstractUserPropertyMapper()

Method Detail

### isPropertySetMapping

    protected boolean isPropertySetMapping(String consumerName,
                                           String producerName)

  Returns true if this a mapping of a consumer's property set to a producer's property set.

  Parameters
    `consumerName` - the map's consumer side name
    `producerName` - the map's producer side name
  Returns
    true if this maps a consumer property set to a producer property set

### mapProperty

    protected void mapProperty(RequiredUserProperties requiredProperties,
                               EntityPropertyCache profile,
                               Collection<UserProperty> properties,
                               String consumerName,
                               String producerName)
                        throws NumberFormatException,
                               ParseException

  Map a single property set manager from the consumer to the producer.

  Parameters
    `requiredProperties` - to check if the property is required
    `profile` - the User's Profile to get values from
    `properties` - the collection of property to send to the producer (to add to)
    `consumerName` - The name/value of the property on the consumer
    `producerName` - The name of the property on the producer
  Throws
    `ParseException`
    `NumberFormatException`

### getProperty

    protected Object getProperty(EntityPropertyCache profile,
                                 String propertySetName,
                                 String propertyName)

  Get the property's value from profile.

  Parameters
    `profile` - the user's profile
    `propertySetName` - the property set's name
    `propertyName` - the property's name
  Returns
    the property's value or null if the property is not found

### mapPropertySet

    protected void mapPropertySet(RequiredUserProperties requiredProperties,
                                  EntityPropertyCache profile,
                                  Collection<UserProperty> properties,
                                  String consumerPropertySetName,
                                  String producerPropertySetName)

  Map an entire property set manager from the consumer to the producer.

  Parameters
    `requiredProperties` - to check if the property is required
    `profile` - the User's Profile to get values from
    `properties` - the collection of property to send to the producer (to add to)
    `consumerPropertySetName` - The name of the property set on the consumer
    `producerPropertySetName` - The name of the property set on the producer

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   String value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   long value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   double value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   boolean value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   Number value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   Boolean value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   Date value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   Collection<?> value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

### addUserProperty

    protected void addUserProperty(Collection<UserProperty> properties,
                                   String propertySetName,
                                   String propertyName,
                                   Object value)

  Add a user property to the specified collection.

  Parameters
    `properties` - The collection of properties to add to
    `propertySetName` - the added property's set name
    `propertyName` - the added property's name
    `value` - the added property's value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.